> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bindbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Integrations

> Returns a list of Integrations

## Overview

This is a demo of how to use the Integrations API to get all active integrations for specific category. This guide will help you understand the endpoints available and how to utilize them effectively.

<Tip>
  You can also access integrations for different categories using
  `https://api.bindbee.dev/api/{category}/v1/integrations`. To retrieve ATS
  integrations, use: `https://api.bindbee.dev/api/ats/v1/integrations` To
  retrieve LMS integrations, use:
  `https://api.bindbee.dev/api/lms/v1/integrations`
</Tip>


## OpenAPI

````yaml get /api/hris/v1/integrations
openapi: 3.1.0
info:
  title: Bindbee APIs
  version: 0.1.0
servers:
  - url: https://api.bindbee.dev
  - url: https://api-eu.bindbee.dev
security: []
paths:
  /api/hris/v1/integrations:
    get:
      tags:
        - Integration
      summary: Get Org Integrations
      description: Returns a list of Integrations
      operationId: get_org_integrations_api_hris_v1_integrations_get
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Number of results to return per page. Maximum size is 200.
            default: 50
            title: Page Size
          description: Number of results to return per page. Maximum size is 200.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: The pagination cursor value.
            title: Cursor
          description: The pagination cursor value.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_IntegrationResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_IntegrationResponse_:
      properties:
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Cursor value to fetch next set of items
          examples:
            - MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1
        page_size:
          type: integer
          title: Page Size
          description: Indicates the count of items in the response
          examples:
            - 50
        items:
          items:
            $ref: '#/components/schemas/IntegrationResponse'
          type: array
          title: Items
          description: List of items in the current response
          examples:
            - {}
      type: object
      required:
        - cursor
        - page_size
        - items
      title: PaginatedResponse[IntegrationResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IntegrationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Id of the integration object
          examples:
            - 018b18ef-c487-703c-afd9-0ca478ccd9d6
        integration_id:
          type: string
          format: uuid
          title: Integration Id
          description: Id of the integration
          examples:
            - 018b18ef-c487-703c-afd9-0ca478ccd9d6
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Enabled boolean flag
          examples:
            - true
        integration_slug:
          type: string
          title: Integration Slug
          description: Integration slug
          examples:
            - ukg_pro
        integration_type:
          type: string
          title: Integration Type
          description: Integration Type
          examples:
            - API
        category:
          type: string
          title: Category
          description: Categories this integration falls into
          examples:
            - HRIS
        display_name:
          type: string
          title: Display Name
          description: Name of the integration
          examples:
            - BambooHR
        icon_url:
          type: string
          title: Icon Url
          description: The url for icon
          examples:
            - https://images.unifyx.dev/logos/icon/ats/recruitee.svg
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of integration
          examples:
            - >-
              BambooHR is an intuitive HRIS solution designed to streamline HR
              processes, offering features for employee onboarding, performance
              management, and HR analytics, providing organizations with a
              user-friendly platform for effective workforce management.
      type: object
      required:
        - id
        - integration_id
        - is_enabled
        - integration_slug
        - integration_type
        - category
        - display_name
        - icon_url
        - description
      title: IntegrationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````